### Class

# Gtk NotebookPage

#### Description [src]

    final class Gtk.NotebookPage : GObject.Object {
      /* No available fields */
    }

`GtkNotebookPage` is an auxiliary object used by `GtkNotebook`.

#### Hierarchy

#### Ancestors

- GObject

#### Instance methods

###### gtk_notebook_page_get_child

Returns the notebook child to which `page` belongs.

#### Properties

###### Gtk.NotebookPage:child

The child for this page.

###### Gtk.NotebookPage:detachable

Whether the tab is detachable.

###### Gtk.NotebookPage:menu

The label widget displayed in the childs menu entry.

###### Gtk.NotebookPage:menu-label

The text of the menu widget.

###### Gtk.NotebookPage:position

The index of the child in the parent.

###### Gtk.NotebookPage:reorderable

Whether the tab is reorderable by user action.

###### Gtk.NotebookPage:tab

The tab widget for tihs page.

###### Gtk.NotebookPage:tab-expand

Whether to expand the childs tab.

###### Gtk.NotebookPage:tab-fill

Whether the childs tab should fill the allocated area.

###### Gtk.NotebookPage:tab-label

The text of the tab widget.